<?php
/**
 * @package: CAOS for Analytics
 * @author: Daan van den Bergh
 * @copyright: (c) 2018 Daan van den Bergh
 * @url: https://dev.daanvandenbergh.com
 */
?>
<div id="welcome-panel" class="welcome-panel">
	<div class="welcome-panel-content">
		<h2>Thank you for using CAOS for Analytics!</h2>
		<p class="about-description">
			CAOS for Analytics completely optimizes the usage of Google Analytics on your WordPress Website.
            Host your Google Analytics javascript-file (analytics.js) locally and keep it updated using WordPress' built-in Cron-scheduler.
		</p>
		<div class="welcome-panel-column-container">
			<div class="welcome-panel-column">
				<h3>Quickstart</h3>
				<ul>
                    <li class="welcome-icon dashicons-before dashicons-analytics">Enter your Analytics Tracking-ID</li>
					<li class="welcome-icon dashicons-before dashicons-admin-tools">Load the script in header/footer</li>
					<li class="welcome-icon dashicons-before dashicons-smiley">Click 'Save Changes' and you're done!</li>
				</ul>
                <p><a target="_blank" href="https://dev.daanvandenbergh.com/wordpress-plugins/optimize-analytics-wordpress/">Click here</a> for a more comprehensive guide.</p>
                <h3>Suggested Reading</h3>
                <ul>
                    <li class="welcome-icon dashicons-before dashicons-analytics"><a href="https://dev.daanvandenbergh.com/wordpress/leverage-browser-caching-host-analytics-local-monster-insights/" target="_blank">Configure CAOS with Monster Insights and WooCommerce</a></li>
                    <li class="welcome-icon dashicons-before dashicons-welcome-learn-more"><a href="https://dev.daanvandenbergh.com/wordpress/gdpr-compliance-google-analytics/" target="_blank">Complete Guide to GDPR Compliance with CAOS</a></li>
                    <li class="welcome-icon dashicons-before dashicons-dashboard"><a href="https://dev.daanvandenbergh.com/wordpress/quick-guide-pagespeed-insights-pingdom/" target="_blank">Speed-up your site: get 100/100 on Pagespeed Insights in 30 minutes!</a></li>
                </ul>
			</div>
			<div class="welcome-panel-column">
				<h3>Get a Perfect Score on Pagespeed & Pingdom!</h3>
                <p><strong>Leverage your browser cache</strong> and <strong>lower pageload times</strong> by hosting your Google Fonts locally with
                    <a href="https://dev.daanvandenbergh.com/wordpress/host-google-fonts-locally/" target="_blank">CAOS for Webfonts</a>.</p>
                <p><a target="_blank" href="https://wordpress.org/plugins/host-webfonts-local/">Download now</a></p>
				<h3>Need help?</h3>
				<p>First make sure you read the manual thoroughly.</p>
                <p>Still running into issues? Visit the <a href="https://wordpress.org/plugins/host-analyticsjs-local/#description" target="_blank">FAQ</a> and
                    <a href="https://wordpress.org/support/plugin/host-analyticsjs-local">Support Forum</a> to see if your question has already been answered.</p>
                <p>If not, ask a question on the Support Forum or <a href="https://dev.daanvandenbergh.com/contact/" target="_blank">contact me</a>.</p>
			</div>
			<div class="welcome-panel-column welcome-panel-last">
				<h3>Support CAOS!</h3>
				<p>I create simple, but useful solutions that easily optimize your website for Pagespeed Insights and Pingdom.</p>
				<p>I believe these solutions should be free, but if you appreciate my work, please consider donating!</p>
				<a target="_blank" class="button button-primary button-hero" href="https://dev.daanvandenbergh.com/donate/"><span class="dashicons-before dashicons-heart"> Donate</span></a>
                <a target="_blank" class="button button-primary button-hero" style="background-color: #00aced; box-shadow: 0 2px 0 #0084b4; border-color: #0084b4 #0084b4 #0084b4;" href="https://twitter.com/Dan0sz"><span class="dashicons-before dashicons-twitter"> Follow me!</span></a>
			</div>
		</div>
	</div>
</div>
